Bug 140439 - Welcome to audio/exaile 0.3.0.2
Summary: Welcome to audio/exaile 0.3.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-10 04:40 UTC by Joseph S. Atkinson
Modified: 2009-11-27 23:30 UTC (History)
0 users

See Also:


Attachments
file.diff (40.26 KB, patch)
2009-11-10 04:40 UTC, Joseph S. Atkinson
no flags Details | Diff
patch-Makefile (6.73 KB, text/plain)
2009-11-27 20:52 UTC, Joseph S. Atkinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Atkinson 2009-11-10 04:40:02 UTC
This is a overhaul of the Exaile codebase bringing new features and better stability.

This diff brings FreeBSD up to date with the current release of 0.3.0.2 which is the second minor bugfix version of the new series.

With this patch, audio/exaile-devel is now obsolete and the port should be removed.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-11-10 04:40:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2009-11-10 05:12:01 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

Maintainer has asked for this to be reassigned to the general pool.
Comment 3 Dmitry Marakasov freebsd_committer 2009-11-11 16:59:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 Joseph S. Atkinson 2009-11-27 20:52:59 UTC
I am adding this to the PR for official documentation.

Upstream changed they way they did some of the install targets, and a
slight oversight caused files in ${WRKDIR} to be chown'd as root. This
prevented `make clean` from working when run as non-root. This diff was
merged in bzr so the next exaile bump should obsolete the need for this.

However, the current version (this PR) requires it.
Comment 5 dfilter service freebsd_committer 2009-11-27 23:20:30 UTC
amdmi3      2009-11-27 23:20:20 UTC

  FreeBSD ports repository

  Modified files:
    audio/exaile         Makefile distinfo pkg-descr pkg-plist 
  Added files:
    audio/exaile/files   patch-Makefile 
  Log:
  - Update to 0.3.0.2
  
  PR:             140439
  Submitted by:   "Joseph S. Atkinson" <jsa@wickedmachine.net>
  
  Revision  Changes    Path
  1.17      +56 -24    ports/audio/exaile/Makefile
  1.9       +3 -3      ports/audio/exaile/distinfo
  1.1       +200 -0    ports/audio/exaile/files/patch-Makefile (new)
  1.2       +5 -6      ports/audio/exaile/pkg-descr
  1.8       +730 -214  ports/audio/exaile/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2009-11-27 23:20:41 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!